Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.

From: John Kehayias <[email-masked]>
Date: Tue, 17 Aug 2021 02:35:47 +0000

Hi Andrew,

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Friday, August 13th, 2021 at 6:38 AM, Andrew Whatson wrote:

> Hi John,
>
> Yes I'm using the default gnome-desktop-service, perhaps your setup is
>
> missing something provided by that. The only thing I can recommend
>
> (and maybe you're already doing this) is to launch your apps like
>
> this:
>
> flatpak run --log-session-bus --log-system-bus --log-ally-bus com.foo.barapp
>
> This gives some extra debug information from flatpak and the app,
>
> which might help diagnose the problem.
>

I finally figured it out! It was quite a ride of diving into dbus, strace, ... in the end, the answer was right in front of me from xdg-desktop-portal --verbose output. XDG_DESKTOP_PORTAL_DIR needs to just be a single directory. Both this package and xdg-desktop-portal will add (the same directory) to this variable, and it chokes on that. Why that means some interfaces are registered but not others, I don't know. The output isn't clear as it will list the variable value as where it is loading from, but no follow-up that it did load portals.

So, I think upstream should support this environment variable having multiple entries, not that I think it is really needed, but should handle it (or error gracefully). Practically though, we only need it set once. I'll file a bug upstream.

Should we just have it in xdg-desktop-portal? The gtk, and other backends, would really only make sense used with xdg-desktop-portal if I understand correctly. So as long as their portals go in the same place, that should be fine. In my case, with this and xdg-desktop-portal installed, XDG_DESKTOP_PORTAL_DIR had the same entry twice, something like /path/to/profile/share/xdg-desktop-portal/portals

If you agree, we should update both the gtk and wayland package definitions to not have this search path set. And perhaps a note in the description that these backends are meant to be used with the main portal (and the main portal needs at least one to work? not sure).

Thanks!

John